import { Injectable } from '@nestjs/common';

import { <%= classify(resourceName) %>, <%= classify(resourceName) %>Input } from './model/<%= resourceName %>';

@Injectable()
export class <%= classify(resourceName) %>Repository {
	constructor() {}

	async get<%= plural(classify(resourceName)) %>() {
		throw new Error('Not implemented');
	}

	async get<%= classify(resourceName) %>ById(id: string) {
		throw new Error('Not implemented');
	}

	async save<%= classify(resourceName) %>(<%= camelize(resourceName) %>: <%= classify(resourceName) %>Input) {
		throw new Error('Not implemented');
	}

	async remove<%= classify(resourceName) %>(id: string) {
		throw new Error('Not implemented');
	}
}
